openSUSE: 2021:4209-1 important: gegl

Advisories


   openSUSE Security Update: Security update for gegl
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:4209-1
Rating:             important
References:         #1194045 
Cross-References:   CVE-2021-45463
CVSS scores:
                    CVE-2021-45463 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Affected Products:
                    openSUSE Leap 15.3
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for gegl fixes the following issues:

   - CVE-2021-45463: fixed shell expansion via crafted pathname in the
     ImageMagick convert fallback (bsc#1194045).


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2021-4209=1



Package List:

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      gegl-0.4.16-3.3.1
      gegl-0_4-0.4.16-3.3.1
      gegl-0_4-debuginfo-0.4.16-3.3.1
      gegl-debuginfo-0.4.16-3.3.1
      gegl-debugsource-0.4.16-3.3.1
      gegl-devel-0.4.16-3.3.1
      gegl-doc-0.4.16-3.3.1
      libgegl-0_4-0-0.4.16-3.3.1
      libgegl-0_4-0-debuginfo-0.4.16-3.3.1
      typelib-1_0-Gegl-0_4-0.4.16-3.3.1

   - openSUSE Leap 15.3 (x86_64):

      libgegl-0_4-0-32bit-0.4.16-3.3.1
      libgegl-0_4-0-32bit-debuginfo-0.4.16-3.3.1

   - openSUSE Leap 15.3 (noarch):

      gegl-0_4-lang-0.4.16-3.3.1


References:

   https://www.suse.com/security/cve/CVE-2021-45463.html
   https://bugzilla.suse.com/1194045

openSUSE: 2021:4209-1 important: gegl

December 31, 2021
An update that fixes one vulnerability is now available

Description

This update for gegl fixes the following issues: - CVE-2021-45463: fixed shell expansion via crafted pathname in the ImageMagick convert fallback (bsc#1194045).

Patch

To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2021-4209=1

Package List

- openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64): gegl-0.4.16-3.3.1 gegl-0_4-0.4.16-3.3.1 gegl-0_4-debuginfo-0.4.16-3.3.1 gegl-debuginfo-0.4.16-3.3.1 gegl-debugsource-0.4.16-3.3.1 gegl-devel-0.4.16-3.3.1 gegl-doc-0.4.16-3.3.1 libgegl-0_4-0-0.4.16-3.3.1 libgegl-0_4-0-debuginfo-0.4.16-3.3.1 typelib-1_0-Gegl-0_4-0.4.16-3.3.1 - openSUSE Leap 15.3 (x86_64): libgegl-0_4-0-32bit-0.4.16-3.3.1 libgegl-0_4-0-32bit-debuginfo-0.4.16-3.3.1 - openSUSE Leap 15.3 (noarch): gegl-0_4-lang-0.4.16-3.3.1

References

https://www.suse.com/security/cve/CVE-2021-45463.html https://bugzilla.suse.com/1194045

Severity
Announcement ID: openSUSE-SU-2021:4209-1
Rating: important
Affected Products: openSUSE Leap 15.3 .

Related News

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.